/*====================================
# nav
==================================== */
.main-nav {
  background-image: linear-gradient(130deg, var(--color4) 20%, var(--main-color) 20%);
  background-color: var(--color4);
  min-height: 65px;
}

@media (min-width:1300px) {
  .main-nav {
    padding: 0 2rem;
  }
}

.main-nav .nav-item {
  align-self: center;
  position: relative;
}

.main-nav .navbar-nav .nav-link {
  color: var(--brown);
  border-radius: 30px;
  padding: 0.2rem 0 0;
  margin: auto 1rem;
  font-size: 19px;
  position: relative;
  transition: .2s ease-in-out;
}


.dropdown-menu {
  margin-bottom: 10px;
}

.main-nav .navbar-nav .nav-item>.nav-link:before {
  content: "";
  display: block;
  position: absolute;
  height: 4px;
  bottom: -5px;
  right: 0;
  left: 0;
  z-index: -1;
  background-color: var(--color4);
  transition: transform .3s ease;
  transform: scaleX(0);
  transform-origin: bottom right;
}

.main-nav .navbar-nav .nav-link:hover,
.main-nav .navbar-nav .nav-link:focus {
  color: var(--brown);
}

.main-nav .navbar-nav .nav-item>.nav-link:hover:before {
  transform: scaleX(1);
  transform-origin: bottom left;
}

.main-nav .navbar-nav .signup-link {
  padding: 2px 20px;
  color: #212121;
  border-radius: 50px;
  background-color: #b3b3b3;
  /* box-shadow: 0 1px 7px #5da39460;
  border: 1px solid #fff; */
  font-size: 18px;
}

.main-nav .navbar-nav .signup-link:hover,
.main-nav .navbar-nav .signup-link:focus {
  color: #fff;
  /* background-color: var(--color4); */
}


.main-nav .navbar-nav .nav-item>.signup-link:before {
  height: 0;
  bottom: 0;
  background-color: none;
}

.custom-toggler.navbar-toggler {
  border: none;
}

.navbar-brand img {
  width: 200px;
}

@media (max-width:1660px) {
  .main-nav .navbar-nav .nav-link {
    margin: auto 0.8rem;
  }
}

@media (max-width:1550px) {
  .main-nav .navbar-nav .nav-link {
    font-size: 17px;
  }
}

@media (max-width:1460px) {
  .main-nav .navbar-nav .nav-link {
    margin: auto 0.7rem;
  }
}

@media (max-width:1427px) {
  .main-nav .navbar-nav .nav-link {
    margin: auto 0.6rem;
  }

  .main-nav .navbar-nav .signup-link {
    box-shadow: 0 1px 5px #4830a160;
    font-size: 17px;
  }
}

@media (max-width:1400px) {
  .main-nav .navbar-nav .nav-link {
    margin: auto 0.5rem;
  }
}

@media (max-width:1340px) {
  .main-nav .navbar-nav .nav-link {
    margin: auto 0.3rem;
  }
}

@media (max-width:1300px) {
  .navbar-brand img {
    width: 150px;
  }
}

@media (max-width:1200px) {
  .main-nav {
    background-image: linear-gradient(130deg, var(--color4) 13%, var(--main-color) 13%);
    padding: 0 0.5rem;
  }

  .navbar-brand img {
    width: 100px;
  }

  .main-nav .navbar-nav .nav-link {
    font-size: 15px;
  }
}

@media (max-width:992px) {
  .main-nav {
    background-image: none;
  }

  .main-nav .navbar-nav {
    width: 100%;
    height: 100vh;
    text-align: center;
  }

  .navbar-brand img {
    width: 180px;
  }
  .navbar-brand{
    margin: auto;
  }

  .main-nav .navbar-nav .nav-link {
    padding: 15px 20px;
    font-size: 19px;
  }

  .main-nav .navbar-nav .signup-link {
    background-color: #e6e6e6;
    border-radius: 30px;
  }

  .main-nav .navbar-nav .signup-link:hover,
  .main-nav .navbar-nav .signup-link:focus {
    color: #212121;
  }
}


/* 報名即將額滿 */
.su {
  -webkit-animation: scale 3s linear infinite both;
  animation: scale 3s linear infinite both;
}

@-webkit-keyframes scale {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.1);
  }
}

@keyframes scale {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.1);
  }
}

.su,
.su-sm {
  position: relative;
}

.su:before,
.su-sm:before {
  position: absolute;
  background-color: #f34040;
  z-index: 0;
  border-radius: 3rem;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 140px;
  color: #fff;
  font-size: 18px;
  font-weight: bold;
  border: 2px solid #ffef5a;
  box-shadow: 0 2px 5px #00543440;
}

.su:before {
  content: "報名即將額滿";
  top: 15px;
  left: 50%;
  transform: translateX(-50%);
  min-height: 40px;
}

.su::after,
.su-sm::after {
  position: absolute;
  content: "";
  display: inline-block;
  border-style: solid;
  border-color: transparent;
  width: 0;
  height: 0;
  margin: auto;
  border-top-color: #f34040;
}

.su::after {
  transform: rotate(180deg);
  right: 0;
  top: 2px;
  left: 0;
  border-width: 16px 15px 0 15px;
}

@media (max-width:992px) {
  .su-sm:before {
    content: "報名\A即將額滿";
    white-space: pre;
    right: 5rem;
    bottom: 0;
    min-height: 55px;
    line-height: 1.2;
  }

  .su-sm::after {
    transform: rotate(-90deg);
    right: 4rem;
    bottom: 16px;
    border-width: 23px 12px 0 12px;
  }
}

/*====================================
# openbtn 小版按鈕
==================================== */
.openbtn {
  position: relative;
  cursor: pointer;
  width: 50px;
  height: 50px;
  border-radius: 5px;
}

/*======= 按鈕內側 =======*/
.openbtn span {
  display: inline-block;
  transition: all .4s;
  position: absolute;
  left: 14px;
  height: 3px;
  border-radius: 2px;
  background: #fff;
  width: 45%;
}

.openbtn span:nth-of-type(1) {
  top: 15px;
}

.openbtn span:nth-of-type(2) {
  top: 23px;
}

.openbtn span:nth-of-type(3) {
  top: 31px;
}

/*======= active 線動作 =======*/

.openbtn.active span:nth-of-type(1) {
  top: 18px;
  left: 18px;
  transform: translateY(6px) rotate(-45deg);
  width: 30%;
}

.openbtn.active span:nth-of-type(2) {
  opacity: 0;
}

.openbtn.active span:nth-of-type(3) {
  top: 30px;
  left: 18px;
  transform: translateY(-6px) rotate(45deg);
  width: 30%;
}